"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseCommand = exports.BASE_COMMAND_ID = void 0;
const core_1 = require("@oclif/core");
const helpers_1 = require("../lib/helpers");
exports.BASE_COMMAND_ID = 'base-command';
class BaseCommand extends core_1.Command {
    constructor(argv, config) {
        super(argv, config);
    }
    async catch(err, eventParams) {
        var _a;
        (0, helpers_1.debugLog)(`Caught error in command ${this.id}`);
        (0, helpers_1.debugLog)(err);
        await ((_a = this.analytics) === null || _a === void 0 ? void 0 : _a.logEvent({
            status: 'failed',
            error: err,
            reason: err.message,
            ...eventParams,
        }));
        return this.error(err, { exit: err.exitCode });
    }
}
exports.BaseCommand = BaseCommand;
