"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const command_tags_enum_1 = tslib_1.__importDefault(require("../../enums/command-tags.enum"));
const email_1 = require("../../validators/email");
const base_command_1 = require("../base-command");
class Invite extends base_command_1.BaseCommand {
    async run() {
        const { args } = await this.parse(Invite);
        if (!(0, email_1.validateEmail)(args.email)) {
            this.error('This does not seem to be a valid email address');
        }
        this.log(`Successfully invited ${args.email} to your organization`);
        return true;
    }
}
Invite.args = {
    email: core_1.Args.string({
        description: 'The email address of the account you want to invite',
        required: true,
    }),
};
Invite.description = 'Invite a user to your organization.';
Invite.examples = ['liblab invite <email>'];
Invite.hidden = true;
Invite.tag = command_tags_enum_1.default.OTHERS;
exports.default = Invite;
