"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const build = `name: Liblab Build

on:
  workflow_dispatch:

jobs:
  ci:
    name: build sdk with liblab
    runs-on: ubuntu-latest
    env:
      LIBLAB_TOKEN: \${{ secrets.LIBLAB_TOKEN }}
      LIBLAB_GITHUB_TOKEN: \${{ secrets.LIBLAB_GITHUB_TOKEN }}
    steps:
      - uses: actions/checkout@v3
      - name: Setup npx
        uses: mikeal/npx@1.0.0
      - name: Start Build
        run: npx liblab@latest build --skip-validation --approve-docs
      - name: Create PRs to GitHub repos
        run: npx liblab@latest pr
`;
exports.default = build;
