"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LiblabEnv = void 0;
const tslib_1 = require("tslib");
/* eslint-disable @typescript-eslint/ban-ts-comment */
// @ts-ignore - we must take the package.json and its outside src
const package_json_1 = require("../../../package.json");
const development_1 = tslib_1.__importDefault(require("./development"));
const local_1 = tslib_1.__importDefault(require("./local"));
const production_1 = tslib_1.__importDefault(require("./production"));
const staging_1 = tslib_1.__importDefault(require("./staging"));
const test_1 = tslib_1.__importDefault(require("./test"));
const environment = process.env.LIBLAB_ENVIRONMENT;
var LiblabEnv;
(function (LiblabEnv) {
    LiblabEnv["Development"] = "development";
    LiblabEnv["Local"] = "local";
    LiblabEnv["Production"] = "production";
    LiblabEnv["Staging"] = "staging";
    LiblabEnv["Test"] = "test";
})(LiblabEnv || (exports.LiblabEnv = LiblabEnv = {}));
const variablesToEnvMap = {
    development: development_1.default,
    local: local_1.default,
    production: production_1.default,
    staging: staging_1.default,
    test: test_1.default,
};
const isLiblabEnv = environment && Object.keys(variablesToEnvMap).includes(environment);
const CURRENT_VERSION = package_json_1.version;
const envVars = isLiblabEnv ? variablesToEnvMap[environment] : test_1.default;
exports.default = { ...envVars, CURRENT_VERSION };
