"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LiblabEnvToDatadogEnvMap = exports.getStatusLevel = exports.datadogClient = void 0;
const tslib_1 = require("tslib");
const datadog = tslib_1.__importStar(require("@datadog/datadog-api-client"));
const env_1 = tslib_1.__importStar(require("../constants/env"));
const LiblabEnvToDatadogEnvMap = {
    [env_1.LiblabEnv.Development]: 'dev',
    [env_1.LiblabEnv.Local]: 'local',
    [env_1.LiblabEnv.Production]: 'prod',
    [env_1.LiblabEnv.Staging]: 'stage',
    [env_1.LiblabEnv.Test]: 'test',
};
exports.LiblabEnvToDatadogEnvMap = LiblabEnvToDatadogEnvMap;
const statusToLevelMap = {
    failed: 'error',
    error: 'error',
    info: 'info',
    pending: 'info',
    succeed: 'info',
    warn: 'warn',
};
const getStatusLevel = (status) => (status ? statusToLevelMap[status] : 'info');
exports.getStatusLevel = getStatusLevel;
const configuration = datadog.client.createConfiguration({
    authMethods: {
        apiKeyAuth: env_1.default.datadogClientToken,
    },
});
const datadogClient = new datadog.v2.LogsApi(configuration);
exports.datadogClient = datadogClient;
