"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.customizationsSchema = void 0;
const zod_1 = require("zod");
const endpoint_customizations_schema_1 = require("../../../schemas/customizations/endpoint-customizations.schema");
const authentication_schema_1 = require("./authentication-schema");
const retry_schema_1 = require("./retry-schema");
const schemas_1 = require("./schemas");
exports.customizationsSchema = zod_1.z
    .object({
    authentication: authentication_schema_1.authenticationSchema,
    documentation: schemas_1.documentationSchema,
    devContainer: schemas_1.devContainerSchema,
    environmentVariables: schemas_1.environmentVariablesSchema,
    endpointCustomizations: endpoint_customizations_schema_1.endpointCustomizationSchema.optional(), // TODO: this is still the V1 Schema
    environments: schemas_1.environmentsSchema,
    generateEnv: schemas_1.generateEnvSchema,
    hookDependencies: schemas_1.hookDependenciesSchema,
    includeOptionalSnippetParameters: schemas_1.includeOptionalSnippetParametersSchema,
    license: schemas_1.licenseSchema,
    refreshToken: schemas_1.refreshTokenParamsSchema,
    responseHeaders: schemas_1.responseHeadersSchema,
    buildAllModels: schemas_1.buildAllModelsSchema,
    retry: retry_schema_1.retrySchema,
    readme: schemas_1.readmeSchema,
})
    .default({
    devContainer: schemas_1.DEFAULT_DEV_CONTAINER,
    generateEnv: schemas_1.DEFAULT_GENERATE_ENV,
    includeOptionalSnippetParameters: schemas_1.DEFAULT_INCLUDE_OPTIONAL_SNIPPET_PARAMETERS,
    responseHeaders: schemas_1.DEFAULT_RESPONSE_HEADERS,
    buildAllModels: schemas_1.DEFAULT_BUILD_ALL_MODELS,
});
