"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const zod_1 = require("zod");
function customErrorMap(error, ctx) {
    switch (error.code) {
        case zod_1.z.ZodIssueCode.invalid_type: {
            if (error.received === 'undefined') {
                return { message: `Field is required!` };
            }
            break;
        }
        default: {
            return { message: ctx.defaultError };
        }
    }
    return { message: ctx.defaultError };
}
zod_1.z.setErrorMap(customErrorMap);
