"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.includeKotlinSnippetsSchema = exports.groupIdSchema = exports.developersSchema = exports.artifactIdSchema = void 0;
const zod_1 = require("zod");
exports.artifactIdSchema = zod_1.z
    .string()
    .describe('The artifactId of the Java package')
    .optional();
exports.developersSchema = zod_1.z
    .array(zod_1.z.object({
    name: zod_1.z.string().describe('The name of the developer'),
    email: zod_1.z.string().email().describe('The email of the developer'),
    organization: zod_1.z.string().describe('The organization of the developer'),
    organizationUrl: zod_1.z
        .string()
        .url()
        .describe('The organization URL of the developer. It is acceptable to link to your profile on GitHub or other forges, if you do no have a website.'),
}))
    .describe("The developers' information to add to pom.xml for project association")
    .optional();
exports.groupIdSchema = zod_1.z.string().describe('The groupId of the Java package').optional();
exports.includeKotlinSnippetsSchema = zod_1.z
    .boolean()
    .default(false)
    .describe('Include Kotlin snippets and documentation in the generated SDK');
