"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.languageOptionsSchema = void 0;
const zod_1 = require("zod");
const csharp_schema_1 = require("./csharp/csharp.schema");
const go_language_options_1 = require("./go/go-language-options");
const java_language_options_1 = require("./java/java-language-options");
const php_language_options_schema_1 = require("./php/php-language-options.schema");
const python_language_options_1 = require("./python/python-language-options");
const swift_language_options_1 = require("./swift/swift-language-options");
const terraform_schema_1 = require("./terraform/terraform.schema");
const typescript_language_options_1 = require("./typescript/typescript-language-options");
exports.languageOptionsSchema = zod_1.z
    .object({
    csharp: csharp_schema_1.csharpOptionsSchema,
    go: go_language_options_1.goLanguageOptionsSchema,
    java: java_language_options_1.javaLanguageOptionsSchema,
    python: python_language_options_1.pythonLanguageOptionsSchema,
    php: php_language_options_schema_1.phpLanguageOptionsSchema,
    swift: swift_language_options_1.swiftLanguageOptionsSchema,
    terraform: terraform_schema_1.terraformLanguageOptionsSchema,
    typescript: typescript_language_options_1.typescriptLanguageOptionsSchema,
    mcp: typescript_language_options_1.typescriptLanguageOptionsSchema,
})
    .describe('Language specific options')
    .optional();
