"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pythonLanguageOptionsSchema = void 0;
const schemas_1 = require("../schemas");
const shared_language_options_1 = require("../shared/shared-language-options");
const python_options_schemas_1 = require("./python-options-schemas");
exports.pythonLanguageOptionsSchema = shared_language_options_1.sharedLanguageOptionsSchema
    .extend({
    alwaysInitializeOptionals: python_options_schemas_1.alwaysInitializeOptionalsSchema,
    classifiers: python_options_schemas_1.classifiersSchema,
    enforceRequestValidation: python_options_schemas_1.enforceRequestValidationSchema,
    additionalConstructorParameters: schemas_1.additionalConstructorParametersSchema,
    projectUrls: python_options_schemas_1.projectUrlsSchema,
    pypiPackageName: python_options_schemas_1.pypiPackageNameSchema,
    strictVersion: python_options_schemas_1.strictVersionSchema,
})
    .describe('Python specific options')
    .optional();
