"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.strictVersionSchema = exports.pypiPackageNameSchema = exports.projectUrlsSchema = exports.enforceRequestValidationSchema = exports.classifiersSchema = exports.alwaysInitializeOptionalsSchema = void 0;
const zod_1 = require("zod");
exports.alwaysInitializeOptionalsSchema = zod_1.z.boolean().default(true);
exports.classifiersSchema = zod_1.z.string().array().optional();
exports.enforceRequestValidationSchema = zod_1.z
    .boolean()
    .default(false)
    .describe('Should the Python SDK enforce request validation?')
    .optional();
exports.projectUrlsSchema = zod_1.z.record(zod_1.z.string().min(1), zod_1.z.string().url()).optional();
exports.pypiPackageNameSchema = zod_1.z
    .string()
    .describe('The name of the Python project')
    .optional();
exports.strictVersionSchema = zod_1.z
    .boolean()
    .default(false)
    .describe('Should the version be strict?')
    .optional();
