"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sharedLanguageOptionsSchema = void 0;
const zod_1 = require("zod");
const schemas_1 = require("../../schemas");
const schemas_2 = require("../schemas");
exports.sharedLanguageOptionsSchema = zod_1.z.object({
    authors: schemas_2.authorsSchema,
    githubRepoName: schemas_2.githubRepoNameSchema,
    homepage: schemas_2.homepageSchema,
    hookDependencies: schemas_2.hookDependenciesSchema,
    ignoreFiles: schemas_2.ignoreSchema,
    liblabVersion: schemas_1.liblabVersionSchema,
    renameIllegalModelProperties: schemas_2.renameIllegalModelPropertiesSchema,
    sdkVersion: zod_1.z.string().default('1.0.0').describe('The version of the SDK'),
    targetBranch: schemas_2.targetBranchSchema,
});
