"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.providerVersionSchema = exports.providerSchemaConfigSchema = exports.providerNameSchema = exports.providerGoModuleNameSchema = exports.mockAcceptanceSchema = exports.hideComputedDiffSchema = void 0;
const zod_1 = require("zod");
exports.hideComputedDiffSchema = zod_1.z
    .boolean()
    .describe('Should the terraform provider hide computed diff? Default is false')
    .default(false);
exports.mockAcceptanceSchema = zod_1.z
    .boolean()
    .describe('Should the terraform provider mock acceptance tests? Default is true')
    .default(true);
exports.providerGoModuleNameSchema = zod_1.z
    .string()
    .describe('The name of the go module used in the terraform provider module')
    .default('petstore-provider');
exports.providerNameSchema = zod_1.z
    .string()
    .describe('The name of the terraform provider module')
    .default('petstore-provider');
exports.providerSchemaConfigSchema = zod_1.z
    .object({
    addressKey: zod_1.z.string().optional(),
    authTokenKey: zod_1.z.string().optional(),
})
    .optional();
exports.providerVersionSchema = zod_1.z
    .string()
    .describe('The version of the terraform provider module')
    .default('1.0.0');
