"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.npmOrgSchema = exports.npmNameSchema = exports.typescriptNamingStrategySchema = exports.httpClientSchema = exports.generateEnumAsSchema = exports.exportClassDefaultSchema = exports.denoteCommonSchema = exports.bundleSchema = void 0;
const zod_1 = require("zod");
exports.bundleSchema = zod_1.z.boolean().describe('Should the SDKs be bundled?').default(true);
exports.denoteCommonSchema = zod_1.z
    .boolean()
    .describe('Should the SDK mark common models with the `Common` postfix? (Useful when conflicts occur)')
    .default(false);
exports.exportClassDefaultSchema = zod_1.z
    .boolean()
    .describe('Should the SDK export the main class as default?')
    .default(false);
exports.generateEnumAsSchema = zod_1.z
    .union([zod_1.z.literal('union'), zod_1.z.literal('enum')])
    .default('enum');
exports.httpClientSchema = zod_1.z
    .enum(['axios', 'fetch', 'https'])
    .describe('The HTTP client to use')
    .default('fetch');
exports.typescriptNamingStrategySchema = zod_1.z
    .union([zod_1.z.literal('default'), zod_1.z.literal('originalPropertyNames')])
    .optional();
exports.npmNameSchema = zod_1.z.string().describe('The NPM package name to publish to').optional();
exports.npmOrgSchema = zod_1.z.string().describe('The NPM organization to publish to').optional();
