"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.languagesWithDocsSupport = exports.languagesSchema = exports.languageSchema = exports.languageValues = void 0;
const zod_1 = require("zod");
exports.languageValues = [
    'java',
    'python',
    'typescript',
    'csharp',
    'go',
    'terraform',
    'swift',
    'php',
    'mcp',
];
exports.languageSchema = zod_1.z.enum(exports.languageValues);
exports.languagesSchema = exports.languageSchema
    .array()
    .refine((languageEnums) => Array.from(new Set(languageEnums)).sort((a, b) => a.localeCompare(b)))
    .describe('The list of languages you want to generate SDKs for');
exports.languagesWithDocsSupport = [
    { language: 'java', liblabVersion: '1' },
    { language: 'python', liblabVersion: '1' },
    { language: 'typescript', liblabVersion: '1' },
];
