"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.liblabConfigV2Schema = void 0;
exports.parse = parse;
const liblab_config_v2_input_1 = require("./liblab-config-v2-input");
const refine_authentication_customizations_1 = require("./refinements/refine-authentication-customizations");
const set_analytics_1 = require("./transformations/set-analytics");
const set_default_authentication_1 = require("./transformations/set-default-authentication");
const set_default_language_options_1 = require("./transformations/set-default-language-options");
async function parse(input, params) {
    // Dynamically imported to avoid dependency cycles
    const { setMcpDefaults } = await Promise.resolve().then(() => __importStar(require('./transformations/set-mcp-defaults')));
    return liblab_config_v2_input_1.liblabConfigV2InputSchema.transform((i) => setMcpDefaults(i, params)).parse(input);
}
/**
 * This schema defines the configuration format for LibLab's SDK generation.
 *
 * The schema uses Zod for validation and includes transformations to set defaults
 * for language options and authentication settings.
 */
exports.liblabConfigV2Schema = liblab_config_v2_input_1.liblabConfigV2InputSchema
    .transform(set_default_language_options_1.setDefaultLanguageOptions)
    .transform(set_default_authentication_1.setDefaultAuthentication)
    .transform(set_analytics_1.setAnalytics)
    .refine(refine_authentication_customizations_1.refineAuthenticationCustomizations, {
    message: refine_authentication_customizations_1.FORBIDDEN_AUTH_COMBINATION_ERROR_MESSAGE,
});
