"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FORBIDDEN_AUTH_COMBINATION_ERROR_MESSAGE = void 0;
exports.refineAuthenticationCustomizations = refineAuthenticationCustomizations;
function refineAuthenticationCustomizations(config) {
    var _a, _b, _c;
    const newConfig = { ...config };
    if (newConfig.auth.length === 0) {
        return true;
    }
    const authArrayIncludesBearer = (_a = newConfig.auth) === null || _a === void 0 ? void 0 : _a.includes('bearer');
    const authArrayIncludesBasic = (_b = newConfig.auth) === null || _b === void 0 ? void 0 : _b.includes('basic');
    const authArrayIncludesCustom = (_c = newConfig.auth) === null || _c === void 0 ? void 0 : _c.includes('custom');
    const forbiddenCombinations = [
        authArrayIncludesBearer && authArrayIncludesBasic,
        authArrayIncludesCustom && authArrayIncludesBasic,
        authArrayIncludesCustom && authArrayIncludesBearer,
    ];
    return !forbiddenCombinations.some(Boolean);
}
exports.FORBIDDEN_AUTH_COMBINATION_ERROR_MESSAGE = 'you have selected an invalid combination for auth in your liblab config (see our documentation on auth here: https://liblab.com/docs/cli/config-file-overview-root#auth)';
