"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setDefaultAuthentication = setDefaultAuthentication;
const authentication_schema_1 = require("../customizations/authentication-schema");
function setDefaultAuthentication(config) {
    const newConfig = { ...config };
    if (newConfig.auth.length === 0) {
        return newConfig;
    }
    newConfig.customizations = newConfig.customizations || {};
    newConfig.customizations.authentication = {};
    if (newConfig.auth.includes('apikey') && !newConfig.customizations.authentication.apiKey) {
        newConfig.customizations.authentication.apiKey = authentication_schema_1.apiKeyCustomizationSchema.parse({});
    }
    if (newConfig.auth.includes('basic') && !newConfig.customizations.authentication.basic) {
        newConfig.customizations.authentication.basic = authentication_schema_1.basicCustomizationSchema.parse({});
    }
    if (newConfig.auth.includes('bearer') && !newConfig.customizations.authentication.access) {
        newConfig.customizations.authentication.access = authentication_schema_1.accessCustomizationSchema.parse({});
    }
    if (newConfig.auth.includes('oauth') && !newConfig.customizations.authentication.oauth) {
        newConfig.customizations.authentication.oauth = authentication_schema_1.oauthCustomizationSchema.parse({});
    }
    return newConfig;
}
