"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setDefaultLanguageOptions = setDefaultLanguageOptions;
const csharp_schema_1 = require("../language-options/csharp/csharp.schema");
const go_language_options_1 = require("../language-options/go/go-language-options");
const java_language_options_1 = require("../language-options/java/java-language-options");
const php_language_options_schema_1 = require("../language-options/php/php-language-options.schema");
const python_language_options_1 = require("../language-options/python/python-language-options");
const swift_language_options_1 = require("../language-options/swift/swift-language-options");
const terraform_schema_1 = require("../language-options/terraform/terraform.schema");
const typescript_language_options_1 = require("../language-options/typescript/typescript-language-options");
function setDefaultLanguageOptions(config) {
    const newConfig = { ...config };
    const languageOptionsSchemas = {
        csharp: csharp_schema_1.csharpOptionsSchema,
        go: go_language_options_1.goLanguageOptionsSchema,
        java: java_language_options_1.javaLanguageOptionsSchema,
        php: php_language_options_schema_1.phpLanguageOptionsSchema,
        python: python_language_options_1.pythonLanguageOptionsSchema,
        swift: swift_language_options_1.swiftLanguageOptionsSchema,
        terraform: terraform_schema_1.terraformLanguageOptionsSchema,
        typescript: typescript_language_options_1.typescriptLanguageOptionsSchema,
        mcp: typescript_language_options_1.typescriptLanguageOptionsSchema,
    };
    const languages = Object.keys(languageOptionsSchemas);
    languages.forEach((language) => {
        newConfig.languageOptions || (newConfig.languageOptions = {});
        if (newConfig.languages.includes(language) && !newConfig.languageOptions[language]) {
            newConfig.languageOptions[language] = languageOptionsSchemas[language].parse({});
        }
    });
    return newConfig;
}
