"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setMcpDefaults = setMcpDefaults;
const typescript_language_options_1 = require("../language-options/typescript/typescript-language-options");
function setMcpDefaults(liblabConfig, params) {
    var _a, _b, _c;
    if (!((_a = liblabConfig.mcp) === null || _a === void 0 ? void 0 : _a.generate) || !params.isPayingCustomer) {
        if ((_b = liblabConfig === null || liblabConfig === void 0 ? void 0 : liblabConfig.languages) === null || _b === void 0 ? void 0 : _b.length) {
            liblabConfig.languages.filter((l) => l !== 'mcp');
        }
        return liblabConfig;
    }
    const newLiblabConfig = { ...liblabConfig };
    newLiblabConfig.languages.push('mcp');
    if (!((_c = newLiblabConfig.languageOptions) === null || _c === void 0 ? void 0 : _c.typescript)) {
        newLiblabConfig.languageOptions = {
            ...newLiblabConfig.languageOptions,
            typescript: typescript_language_options_1.typescriptLanguageOptionsSchema.parse({}),
        };
    }
    return newLiblabConfig;
}
