"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.enhancedSpecDocumentationOptionsSchema = void 0;
const zod_1 = require("zod");
exports.enhancedSpecDocumentationOptionsSchema = zod_1.z.object({
    customOutputName: zod_1.z
        .string()
        .describe('Name of the output file, will default to enhancedApiSpec.json')
        .optional()
        .refine((name) => !name || name.endsWith('.json') || name.endsWith('.yaml') || name.endsWith('.yml'), {
        message: 'customOutputName must end with .json, .yaml, or .yml',
    }),
});
