"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.languageOptionsSchema = void 0;
const zod_1 = require("zod");
const csharp_schema_1 = require("./csharp.schema");
const go_schema_1 = require("./go.schema");
const java_schema_1 = require("./java.schema");
const php_schema_1 = require("./php.schema");
const python_schema_1 = require("./python.schema");
const swift_schema_1 = require("./swift.schema");
const terraform_schema_1 = require("./terraform.schema");
const typescript_schema_1 = require("./typescript.schema");
exports.languageOptionsSchema = zod_1.z
    .object({
    csharp: csharp_schema_1.csharpOptionsSchema.optional(),
    go: go_schema_1.goOptionsSchema.optional(),
    java: java_schema_1.javaOptionsSchema.optional(),
    python: python_schema_1.pythonOptionsSchema.optional(),
    php: php_schema_1.phpOptionSchema.optional(),
    swift: swift_schema_1.swiftOptionsSchema.optional(),
    terraform: terraform_schema_1.terraformOptionsSchema.optional(),
    typescript: typescript_schema_1.typescriptOptionsSchema.optional(),
    mcp: typescript_schema_1.typescriptOptionsSchema.optional(),
})
    .strict()
    .describe('Language specific options');
