"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.phpOptionSchema = void 0;
const zod_1 = require("zod");
const parameters_schema_1 = require("./additional-constructor-parameters/parameters.schema");
const generic_language_options_schema_1 = require("./generic-language-options.schema");
exports.phpOptionSchema = zod_1.z
    .object({
    packageName: zod_1.z
        .string()
        .describe('The name of the composer package')
        .regex(/^[\da-z]([._-]?[\da-z]+)*\/[\da-z](([._]|-{1,2})?[\da-z]+)*$/, 'Invalid composer package name. It must be in the following format: "vendor/package-name"')
        .default('company/sdk'),
    additionalConstructorParameters: parameters_schema_1.additionalConstructorParametersSchema.optional(),
    ...generic_language_options_schema_1.genericLanguageOptions.shape,
})
    .strict()
    .describe('PHP specific options');
