"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pythonOptionsSchema = void 0;
const zod_1 = require("zod");
const parameters_schema_1 = require("./additional-constructor-parameters/parameters.schema");
const generic_language_options_schema_1 = require("./generic-language-options.schema");
exports.pythonOptionsSchema = zod_1.z
    .object({
    alwaysInitializeOptionals: zod_1.z.boolean().default(true),
    classifiers: zod_1.z.string().array().optional(),
    enforceRequestValidation: zod_1.z
        .boolean()
        .default(false)
        .describe('Should the Python SDK enforce request validation?')
        .optional(),
    additionalConstructorParameters: parameters_schema_1.additionalConstructorParametersSchema.optional(),
    projectUrls: zod_1.z.record(zod_1.z.string().min(1), zod_1.z.string().url()).optional(),
    pypiPackageName: zod_1.z.string().describe('The name of the Python project').optional(),
    strictVersion: zod_1.z.boolean().default(false).describe('Should the version be strict?').optional(),
    ...generic_language_options_schema_1.genericLanguageOptions.shape,
})
    .strict()
    .describe('Python specific options');
