"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.terraformOptionsSchema = void 0;
const zod_1 = require("zod");
const generic_language_options_schema_1 = require("./generic-language-options.schema");
exports.terraformOptionsSchema = zod_1.z
    .object({
    hideComputedDiff: zod_1.z
        .boolean()
        .describe('Should the terraform provider hide computed diff? Default is false')
        .default(false),
    mockAcceptance: zod_1.z
        .boolean()
        .describe('Should the terraform provider mock acceptance tests? Default is true')
        .default(true),
    providerGoModuleName: zod_1.z
        .string()
        .describe('The name of the go module used in the terraform provider module'),
    providerName: zod_1.z.string().describe('The name of the terraform provider module'),
    providerSchemaConfig: zod_1.z
        .object({
        addressKey: zod_1.z.string().optional(),
        authTokenKey: zod_1.z.string().optional(),
    })
        .optional(),
    providerVersion: zod_1.z.string().describe('The version of the terraform provider module'),
    ...generic_language_options_schema_1.genericLanguageOptions.shape,
})
    .strict()
    .describe('terraform provider specific options');
