"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.languageSchema = void 0;
const tslib_1 = require("tslib");
const zod_1 = require("zod");
const languages_1 = tslib_1.__importDefault(require("../constants/languages"));
const json_utils_1 = require("../utils/json.utils");
exports.languageSchema = zod_1.z
    .array(zod_1.z.enum(languages_1.default))
    .refine((languageEnums) => (0, json_utils_1.hasDuplicates)(languageEnums), {
    message: 'Duplicate values not allowed',
})
    .transform((arr) => 
// Sort the array alphabetically
arr.sort((a, b) => a.localeCompare(b)))
    .describe('The list of languages you want to generate SDKs for');
