"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const node_fs_1 = tslib_1.__importDefault(require("node:fs"));
const zod_to_json_schema_1 = require("zod-to-json-schema");
const liblab_config_1 = require("../schemas/liblab.config");
// Convert Zod schema to JSON schema
const jsonSchema = (0, zod_to_json_schema_1.zodToJsonSchema)(liblab_config_1.liblabSchema);
// Create the output object by extending the JSON schema with fileMatch
const output = {
    ...jsonSchema,
    allowComments: true,
    fileMatch: ['liblab.config.json', 'liblab.config.js', '*.liblab.config.json'],
};
// Write the configuration file schema to a JSON file
node_fs_1.default.writeFileSync('./liblab.config.schema.json', JSON.stringify(output, null, 2));
console.log('JSON schema written to liblab.config.schema.json');
