"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomPlanModifiersService = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const adm_zip_1 = tslib_1.__importDefault(require("adm-zip"));
const fs_extra_1 = require("fs-extra");
const lodash_1 = require("lodash");
const node_stream_1 = require("node:stream");
const paths_default_1 = require("../constants/paths.default");
const cmds_json_1 = require("../logs/cmds.json");
class CustomPlanModifiersService {
    getReadStream() {
        const hooksExists = (0, fs_extra_1.existsSync)(paths_default_1.customPlanModifiersDir) && !(0, lodash_1.isEmpty)(paths_default_1.customPlanModifiersDir);
        if (!hooksExists) {
            core_1.ux.stdout(cmds_json_1.BUILD.CUSTOM_PLAN_MODIFIERS_NOT_FOUND);
            return null;
        }
        const admZip = new adm_zip_1.default();
        admZip.addLocalFolder(paths_default_1.customPlanModifiersDir);
        return node_stream_1.Readable.from(admZip.toBuffer());
    }
}
exports.CustomPlanModifiersService = CustomPlanModifiersService;
