"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HooksService = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const adm_zip_1 = tslib_1.__importDefault(require("adm-zip"));
const fs_extra_1 = require("fs-extra");
const lodash_1 = require("lodash");
const node_os_1 = require("node:os");
const node_path_1 = require("node:path");
const paths_default_1 = require("../constants/paths.default");
const cmds_json_1 = require("../logs/cmds.json");
class HooksService {
    async getReadStream() {
        const hooksExists = (0, fs_extra_1.existsSync)(paths_default_1.hooksDir) && !(0, lodash_1.isEmpty)(paths_default_1.hooksDir);
        if (!hooksExists) {
            core_1.ux.stdout(cmds_json_1.BUILD.HOOKS_NOT_FOUND);
            return null;
        }
        const admZip = new adm_zip_1.default();
        admZip.addLocalFolder(paths_default_1.hooksDir);
        const zipBuffer = admZip.toBuffer();
        const tmpZipPath = (0, node_path_1.join)((0, node_os_1.tmpdir)(), 'hooks.zip');
        await new Promise((resolve, reject) => {
            const writeStream = (0, fs_extra_1.createWriteStream)(tmpZipPath);
            writeStream.write(zipBuffer);
            writeStream.end();
            writeStream.on('finish', resolve);
            writeStream.on('error', reject);
        });
        return (0, fs_extra_1.createReadStream)(tmpZipPath);
    }
}
exports.HooksService = HooksService;
