"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatadogBuildEventAdapter = void 0;
const tslib_1 = require("tslib");
const node_crypto_1 = require("node:crypto");
const env_1 = tslib_1.__importDefault(require("../../../../constants/env"));
const datadog_1 = require("../../../../lib/datadog");
const ip_utils_1 = require("../../../../utils/ip.utils");
const datadog_base_event_adapter_1 = require("./datadog-base-event-adapter");
class DatadogBuildEventAdapter extends datadog_base_event_adapter_1.BaseDatadogEventAdapter {
    constructor(event) {
        super(event);
        this.event = event;
        this.event = event;
    }
    createAdditionalProperties() {
        const statusLevel = (0, datadog_1.getStatusLevel)(this.event.status);
        const { org, user, currentUser, argv, action, description, arch, cliVersion, platform, shell, sessionId, } = this.event;
        return {
            $insert_id: (0, node_crypto_1.randomUUID)(),
            args: argv.join(' '),
            action,
            label: description,
            arch,
            cli_version: cliVersion,
            platform,
            shell,
            org_id: org ? org.id.toString() : '',
            org_name: org ? org.name : '',
            distinct_id: user ? user.id.toString() : '',
            user_id: currentUser ? currentUser.id.toString() : '',
            $os: process.platform,
            ci_run: `${Boolean(process.env.LIBLAB_CI)}`,
            ip_address: (0, ip_utils_1.getLocalIp)(),
            session: sessionId,
            source: 'cli',
            time: `${Date.now()}`,
            env: env_1.default.environment,
            level: statusLevel,
        };
    }
}
exports.DatadogBuildEventAdapter = DatadogBuildEventAdapter;
