"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseMixpanelEventAdapter = exports.MixpanelEventName = void 0;
const tslib_1 = require("tslib");
const mixpanel_1 = tslib_1.__importDefault(require("mixpanel"));
const env_1 = tslib_1.__importDefault(require("../../../../constants/env"));
var MixpanelEventName;
(function (MixpanelEventName) {
    MixpanelEventName["BUILD"] = "build";
})(MixpanelEventName || (exports.MixpanelEventName = MixpanelEventName = {}));
class BaseMixpanelEventAdapter {
    constructor(event) {
        this.event = event;
        this.mixpanel = mixpanel_1.default.init(env_1.default.mixpanelToken, {
            keepAlive: false,
        });
    }
    createMixpanelEvent() {
        var _a;
        return {
            ...this.event,
            $insert_id: this.event.insertId,
            $os: this.event.os,
            args: this.event.argv,
            cli_version: this.event.version,
            distinct_id: ((_a = this.event.user) === null || _a === void 0 ? void 0 : _a.id.toString()) || '',
            env: this.event.env,
            ip_address: this.event.ipAddress,
            time: this.event.time,
        };
    }
    async log() {
        const mixpanelEvent = this.createMixpanelEvent();
        this.mixpanel.track(MixpanelEventName.BUILD, mixpanelEvent);
    }
}
exports.BaseMixpanelEventAdapter = BaseMixpanelEventAdapter;
