"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MixpanelBuildEventAdapter = void 0;
const base_mixpanel_event_adapter_1 = require("./base-mixpanel-event-adapter");
class MixpanelBuildEventAdapter extends base_mixpanel_event_adapter_1.BaseMixpanelEventAdapter {
    constructor(event) {
        super(event);
        this.event = event;
        this.event = event;
    }
    createMixpanelEvent() {
        var _a, _b, _c;
        const mixpanelEvent = super.createMixpanelEvent();
        return {
            ...mixpanelEvent,
            action: base_mixpanel_event_adapter_1.MixpanelEventName.BUILD,
            apiName: this.event.apiName,
            apiVersion: this.event.apiVersion,
            arch: process.arch,
            args: process.argv,
            artifact_ids: this.event.artifactIds.map(Number),
            artifacts: this.event.artifacts,
            auth: this.event.auth || [],
            build_duration: this.event.buildDuration,
            build_id: [this.event.buildId],
            category: 'build',
            ci_run: Boolean(process.env.CI),
            cli_version: this.event.version,
            customizations: this.event.customizations,
            languages: this.event.languages,
            org_id: ((_a = this.event.org) === null || _a === void 0 ? void 0 : _a.id) || 0,
            org_name: ((_b = this.event.org) === null || _b === void 0 ? void 0 : _b.name) || '',
            pagination: this.event.pagination,
            platform: process.platform,
            publishing: this.event.publishing,
            sdkName: this.event.sdkName,
            session: this.event.sessionId,
            shell: process.env.SHELL || '',
            source: 'cli',
            spec_format: this.event.specFormat,
            specFilePath: this.event.specFilePath,
            status: 'succeed',
            streaming: this.event.streaming,
            test: false,
            user_id: ((_c = this.event.user) === null || _c === void 0 ? void 0 : _c.id) || 0,
        };
    }
}
exports.MixpanelBuildEventAdapter = MixpanelBuildEventAdapter;
