"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLocalIp = void 0;
const node_os_1 = require("node:os");
const getLocalIp = () => {
    let ip = '0.0.0.0';
    const interfaces = (0, node_os_1.networkInterfaces)();
    Object.keys(interfaces).forEach((name) => {
        var _a;
        (_a = interfaces[name]) === null || _a === void 0 ? void 0 : _a.forEach((net) => {
            if (net.family === 'IPv4' && net.address !== '127.0.0.1' && !net.internal) {
                ip = net.address;
            }
        });
    });
    return ip;
};
exports.getLocalIp = getLocalIp;
