"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BitbucketGitOperations = void 0;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importDefault(require("axios"));
const base_git_operations_1 = require("./base-git-operations");
class BitbucketGitOperations extends base_git_operations_1.BaseGitOperations {
    async createPullRequest() {
        const url = `https://api.bitbucket.org/2.0/repositories/${this.prData.org}/${this.prData.repo}/pullrequests`;
        const response = await axios_1.default.post(url, {
            title: this.prData.title,
            description: this.prData.body,
            source: {
                branch: {
                    name: this.prData.branchName,
                },
            },
            destination: {
                branch: {
                    name: this.prData.targetBranch,
                },
            },
        }, {
            headers: {
                Accept: 'application/json',
                Authorization: `Bearer ${this.token}`,
                'Content-Type': 'application/json',
            },
        });
        return {
            html_url: response.data.links.html.href,
        };
    }
}
exports.BitbucketGitOperations = BitbucketGitOperations;
