"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GithubGitOperations = void 0;
const rest_1 = require("@octokit/rest");
const base_git_operations_1 = require("./base-git-operations");
class GithubGitOperations extends base_git_operations_1.BaseGitOperations {
    constructor(token, prData) {
        super(token, prData);
        this.octokit = new rest_1.Octokit({ auth: token });
    }
    async createPullRequest() {
        const { data } = await this.octokit.pulls.create({
            base: this.prData.targetBranch,
            body: this.prData.body,
            head: this.prData.branchName,
            owner: this.prData.org,
            repo: this.prData.repo,
            title: this.prData.title,
        });
        return data;
    }
}
exports.GithubGitOperations = GithubGitOperations;
