"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitlabGitOperations = void 0;
const rest_1 = require("@gitbeaker/rest");
const base_git_operations_1 = require("./base-git-operations");
class GitlabGitOperations extends base_git_operations_1.BaseGitOperations {
    constructor(token, prData) {
        super(token, prData);
        this.gitlabClient = new rest_1.Gitlab({
            host: 'https://gitlab.com',
            token,
        });
        this.prData = prData;
    }
    async createPullRequest() {
        const trimmedRepoUlr = this.prData.repoUrl
            .replace(this.prData.host + '/', '')
            .replace('.git', '');
        const { id: repoId } = await this.gitlabClient.Projects.show(trimmedRepoUlr);
        const data = await this.gitlabClient.MergeRequests.create(repoId, this.prData.branchName, this.prData.targetBranch, this.prData.title, {
            description: this.prData.body,
        });
        return {
            html_url: data.web_url,
        };
    }
}
exports.GitlabGitOperations = GitlabGitOperations;
