"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GithubDocsPrData = void 0;
const tslib_1 = require("tslib");
const rest_1 = require("@octokit/rest");
const env_1 = tslib_1.__importDefault(require("../../../../constants/env"));
const base_pr_data_1 = require("./base-pr-data");
const { dashboardUrl } = env_1.default;
class GithubDocsPrData extends base_pr_data_1.BasePrData {
    constructor(token, language, liblabConfig, api, build) {
        var _a, _b, _c, _d, _e;
        super(token, language, liblabConfig);
        this.authorEmail = '';
        this.body = '## Automatically generated PR with API documentation updates\n\nThis PR updates the API documentation with the latest changes.';
        this.branchName = `liblab-api-documentation-update-${Date.now()}`;
        this.octokit = new rest_1.Octokit({ auth: token });
        this.authorName = this.org;
        this.repo = ((_b = (_a = liblabConfig.integrations) === null || _a === void 0 ? void 0 : _a.enhancedApiSpec) === null || _b === void 0 ? void 0 : _b.githubRepoName) || '';
        this.repoUrl = `https://github.com/${this.org}/${this.repo}.git`;
        this.targetBranch = ((_d = (_c = liblabConfig.integrations) === null || _c === void 0 ? void 0 : _c.enhancedApiSpec) === null || _d === void 0 ? void 0 : _d.targetBranch) || '';
        this.commitMessage = 'Update API documentation';
        this.org = (_e = liblabConfig.publishing) === null || _e === void 0 ? void 0 : _e.githubOrg;
        this.username = this.org;
        this.title = `Liblab documentation update from: ${dashboardUrl}/apis/${api.slug}/builds/${build.id}`;
    }
    async init() {
        await super.init();
        const { data } = await this.octokit.users.getAuthenticated();
        this.authenticatedUser = data;
        this.authorEmail = `${this.authenticatedUser.id}+${this.authenticatedUser.login}@users.noreply.github.com`;
    }
}
exports.GithubDocsPrData = GithubDocsPrData;
