"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GithubPrData = void 0;
const rest_1 = require("@octokit/rest");
const base_pr_data_1 = require("./base-pr-data");
class GithubPrData extends base_pr_data_1.BasePrData {
    constructor(token, language, liblabConfig) {
        super(token, language, liblabConfig);
        this.authorEmail = '';
        this.octokit = new rest_1.Octokit({ auth: token });
        this.authorName = this.org;
        this.repoUrl = `https://github.com/${this.org}/${this.repo}.git`;
    }
    async init() {
        await super.init();
        const { data } = await this.octokit.users.getAuthenticated();
        this.authenticatedUser = data;
        this.authorEmail = `${this.authenticatedUser.id}+${this.authenticatedUser.login}@users.noreply.github.com`;
    }
}
exports.GithubPrData = GithubPrData;
