"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluralize = exports.bold = void 0;
const bold = (text) => `\u001B[1m${text}\u001B[0m`;
exports.bold = bold;
/**
 * Pluralize a word based on a preceding number.
 * Works only for regular English plurals.
 * @example pluralize('credit', 1) // 'credit'
 * @example pluralize('credit', 2) // 'credits'
 * @param word Word to pluralize
 * @param count Preceding number
 */
const pluralize = (word, count) => `${word}${count > 1 ? 's' : ''}`;
exports.pluralize = pluralize;
