"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseLiblabConfig = parseLiblabConfig;
const tslib_1 = require("tslib");
const json5_1 = tslib_1.__importDefault(require("json5"));
const messages_1 = tslib_1.__importDefault(require("../constants/messages"));
const helpers_1 = require("../lib/helpers");
const rethrown_error_1 = require("../utils/error/rethrown-error");
function parseLiblabConfig(liblabConfigReadData) {
    try {
        const parsedConfig = json5_1.default.parse(liblabConfigReadData);
        return parsedConfig;
    }
    catch (error) {
        (0, helpers_1.debugLog)(`parseLiblabConfig: Failed to parse config file`, { error });
        throw new rethrown_error_1.RethrownError(messages_1.default.ERROR.LIBLAB_CONFIG_INVALID.replace('{message}', error.message), error);
    }
}
