"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveTmpFile = void 0;
const tslib_1 = require("tslib");
const fs_extra_1 = require("fs-extra");
const promises_1 = require("node:fs/promises");
const node_path_1 = tslib_1.__importDefault(require("node:path"));
const paths_default_1 = require("../constants/paths.default");
const saveTmpFile = async ({ fileContent, fileName, fileSuffix, }) => {
    const doesTmpExists = await (0, fs_extra_1.exists)(paths_default_1.tempDirectory);
    if (!doesTmpExists) {
        await (0, promises_1.mkdir)(paths_default_1.tempDirectory);
    }
    const tempFilePath = node_path_1.default.join(paths_default_1.tempDirectory, `${fileName}.${fileSuffix}`);
    await (0, promises_1.writeFile)(tempFilePath, fileContent);
    return tempFilePath;
};
exports.saveTmpFile = saveTmpFile;
