"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveValidationJson = void 0;
const core_1 = require("@oclif/core");
const fs_extra_1 = require("fs-extra");
const lodash_1 = require("lodash");
const paths_default_1 = require("../constants/paths.default");
const helpers_1 = require("../lib/helpers");
const cmds_json_1 = require("../logs/cmds.json");
const text_utils_1 = require("../utils/text.utils");
const saveValidationJson = async (violations) => {
    try {
        await (0, fs_extra_1.ensureDir)(paths_default_1.outputDir);
        await (0, fs_extra_1.writeJson)(paths_default_1.apiSchemaValidationPath, violations, { spaces: 2 });
        const createdJsonMessage = (0, lodash_1.replace)(cmds_json_1.VALIDATION.VALIDATION_JSON_CREATED_MESSAGE, '{path}', (0, text_utils_1.getColoredText)('blue', paths_default_1.apiSchemaValidationPath));
        core_1.ux.stdout(`${createdJsonMessage}\n`);
    }
    catch (error) {
        (0, helpers_1.debugLog)(`commands/build#run.saveSchemaValidationLog`, error);
        throw new Error('Failed to save api-schema-validation locally');
    }
};
exports.saveValidationJson = saveValidationJson;
