"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Snippets = void 0;
class Snippets {
    constructor(map) {
        this.map = map;
    }
    forEachOperation(callback) {
        this.forEachEndpoint(({ language, languageSnippets, pathKey }) => {
            const endpoint = languageSnippets.endpoints[pathKey];
            if (!endpoint) {
                return;
            }
            const httpMethods = Object.keys(endpoint);
            httpMethods.forEach((httpMethod) => {
                const snippet = endpoint[httpMethod];
                if (!snippet) {
                    return;
                }
                callback({ language, languageSnippets, pathKey, httpMethod, snippet });
            });
        });
    }
    forEachEndpoint(callback) {
        this.forEachLanguageSnippets(({ language, languageSnippets }) => {
            const endpointUrls = Object.keys(languageSnippets.endpoints);
            endpointUrls.forEach((pathKey) => {
                callback({ language, languageSnippets, pathKey });
            });
        });
    }
    forEachLanguageSnippets(callback) {
        const languages = Object.keys(this.map);
        languages.forEach((language) => {
            const languageSnippets = this.map[language];
            if (!languageSnippets) {
                return;
            }
            callback({ language, languageSnippets });
        });
    }
}
exports.Snippets = Snippets;
