"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJsonMap = getJsonMap;
const get_json_snippets_file_from_zip_archive_1 = require("./get-json-snippets-file-from-zip-archive");
const get_json_snippets_from_md_output_1 = require("./get-json-snippets-from-md-output");
function getJsonMap(liblabConfig, artifacts) {
    var _a, _b, _c;
    const isBuildWithJsonSnippets = ((_c = (_b = (_a = liblabConfig.customizations) === null || _a === void 0 ? void 0 : _a.documentation) === null || _b === void 0 ? void 0 : _b.snippets) === null || _c === void 0 ? void 0 : _c.format) === 'json';
    const map = {};
    artifacts.forEach(({ zip, language, languageInFsFormat }) => {
        if (isBuildWithJsonSnippets) {
            const snippetsEntry = (0, get_json_snippets_file_from_zip_archive_1.getJsonSnippetsFileFormZipArchive)(zip);
            map[languageInFsFormat] = JSON.parse(snippetsEntry);
            return;
        }
        const languageMap = (0, get_json_snippets_from_md_output_1.getJsonSnippetsFromMdFiles)(language, zip);
        map[languageInFsFormat] = {
            endpoints: languageMap,
        };
    });
    return map;
}
