"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const language_schema_1 = require("../schemas/language.schema");
const get_artifacts_archives_1 = require("./get-artifacts-archives");
const get_enhanced_spec_1 = require("./get-enhanced-spec");
const get_json_map_1 = require("./get-json-map");
const get_spec_enhancement_type_1 = require("./get-spec-enhancement-type");
async function enhanceOpenAPISpec(build, liblabConfig, spec) {
    const enhancement = (0, get_spec_enhancement_type_1.getSpecEnhancementType)(liblabConfig);
    const archives = await (0, get_artifacts_archives_1.getArtifactsArchives)(liblabConfig, build);
    const languageMap = (0, get_json_map_1.getJsonMap)(liblabConfig, archives);
    const enhancedSpec = (0, get_enhanced_spec_1.getEnhancedOAS)(enhancement, languageMap, spec);
    return { enhancedSpec, languages: language_schema_1.languageSchema.parse(Object.keys(languageMap)) };
}
exports.default = enhanceOpenAPISpec;
