"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.authenticateUser = void 0;
const core_1 = require("@oclif/core");
const helpers_1 = require("../lib/helpers");
const cmds_json_1 = require("../logs/cmds.json");
const authenticateUser = async ({ liblabClientProvider, }) => {
    try {
        await liblabClientProvider.init();
    }
    catch {
        (0, helpers_1.debugLog)('Failed to initialize liblab client');
        throw new Error(cmds_json_1.LOGIN.DEFAULT_ERROR);
    }
    if (liblabClientProvider.currentUser) {
        return liblabClientProvider.currentUser;
    }
    if (liblabClientProvider.isLongLivedTokenInvalid) {
        throw new Error(cmds_json_1.LOGIN.LONG_LIVED_TOKEN_ERROR);
    }
    try {
        core_1.ux.stdout('You must be logged in to run this command.');
        return await liblabClientProvider.login();
    }
    catch {
        (0, helpers_1.debugLog)('Failed to login liblab client');
        throw new Error(cmds_json_1.LOGIN.DEFAULT_ERROR);
    }
};
exports.authenticateUser = authenticateUser;
