"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RethrownError = void 0;
/**
 * Error that rethrows another error with a new message.
 * Keeps the original stack trace.
 */
class RethrownError extends Error {
    constructor(message, error) {
        var _a;
        super(message);
        this.name = 'Error';
        this.originalError = error;
        if (!error) {
            return;
        }
        // Reference: https://stackoverflow.com/a/42755876
        // When this project switches to ES2022 this workaround should be replaced with
        // the new Error(message, { cause }) constructor
        const messageLines = (this.message.match(/\n/g) || []).length + 1;
        this.stack = `${(_a = this.stack) === null || _a === void 0 ? void 0 : _a.split('\n').slice(0, messageLines + 1).join('\n')}\n${error.stack}`;
    }
}
exports.RethrownError = RethrownError;
