"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMintJson = exports.MINT_JSON_PATH = void 0;
const tslib_1 = require("tslib");
const fs_extra_1 = require("fs-extra");
const node_path_1 = tslib_1.__importDefault(require("node:path"));
const paths_default_1 = require("../../../constants/paths.default");
exports.MINT_JSON_PATH = node_path_1.default.join(paths_default_1.TMP_GIR_DIR_NAME, 'mint.json');
const getMintJson = () => {
    const isMintJsonExists = (0, fs_extra_1.existsSync)(exports.MINT_JSON_PATH);
    if (!isMintJsonExists) {
        throw new Error(`Failed to get mint.json file, file does not exists in path: ${exports.MINT_JSON_PATH}`);
    }
    try {
        const mintJson = (0, fs_extra_1.readFileSync)(exports.MINT_JSON_PATH, 'utf8');
        const parsedMintJson = JSON.parse(mintJson);
        return parsedMintJson;
    }
    catch {
        throw new Error('Failed to read mint.json file');
    }
};
exports.getMintJson = getMintJson;
