"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMintlifyOpenapiPath = void 0;
const tslib_1 = require("tslib");
const fs_extra_1 = require("fs-extra");
const node_path_1 = tslib_1.__importDefault(require("node:path"));
const paths_default_1 = require("../../../constants/paths.default");
const getMintlifyOpenapiPath = (mintJson) => {
    const mintOpenapi = mintJson.openapi
        ? node_path_1.default.join(paths_default_1.TMP_GIR_DIR_NAME, mintJson.openapi)
        : paths_default_1.LOCAL_OPENAPI_IN_MINTLIFY_REPO;
    const isOpenapiExists = (0, fs_extra_1.existsSync)(node_path_1.default.normalize(mintOpenapi));
    if (!isOpenapiExists) {
        throw new Error('Openapi path does not exists in destination repo');
    }
    return mintOpenapi;
};
exports.getMintlifyOpenapiPath = getMintlifyOpenapiPath;
