"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveEnhancedSpecInTmpGit = void 0;
const tslib_1 = require("tslib");
const fs_extra_1 = require("fs-extra");
const yaml_1 = tslib_1.__importDefault(require("yaml"));
const saveEnhancedSpecInTmpGit = (openapiPath, enhancedSpec) => {
    if (openapiPath.endsWith('.json')) {
        (0, fs_extra_1.writeFileSync)(openapiPath, JSON.stringify(enhancedSpec, undefined, 2));
        return;
    }
    if (openapiPath.endsWith('.yaml') || openapiPath.endsWith('.yml')) {
        (0, fs_extra_1.writeFileSync)(openapiPath, yaml_1.default.stringify(enhancedSpec, undefined, 2));
        return;
    }
    throw new Error('Invalid openapi spec in mint.json, liblab supports yaml and json');
};
exports.saveEnhancedSpecInTmpGit = saveEnhancedSpecInTmpGit;
