"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDocsResponseTable = void 0;
const tslib_1 = require("tslib");
const tty_table_1 = tslib_1.__importDefault(require("tty-table"));
const ACTION_KEY = 'Action';
const LINK_KEY = 'Link';
const TABLE_HEADER = [
    {
        value: ACTION_KEY,
        headerColor: 'cyan',
        align: 'left',
        width: 20,
    },
    {
        value: LINK_KEY,
        headerColor: 'cyan',
        align: 'left',
        width: 200,
    },
];
const getDocsResponseTable = (DocsArtifact) => {
    // Define the rows of data
    const preview = {
        [ACTION_KEY]: 'Preview',
        [LINK_KEY]: DocsArtifact.doc.previewUrl,
    };
    const download = {
        [ACTION_KEY]: 'Download',
        [LINK_KEY]: DocsArtifact.artifactUrl,
    };
    return (0, tty_table_1.default)(TABLE_HEADER, [preview, download]);
};
exports.getDocsResponseTable = getDocsResponseTable;
